//
//  ARMView.h
//  GLTest2
//
//  Created by nsato on 09/05/06.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreGraphics/CoreGraphics.h>


@interface ARMView : UIView {
	CGPoint firstTouch;
	CGPoint lastTouch;
	CGPoint endTouch;
	UIColor *currentColor;
//	CGRect[] *rectSeq;
	CGContextRef context;
	NSMutableArray *myArray;
	NSMutableArray *myColorArray;
//	NSMutableArray *myWayPointArray;
//	NSMutableArray *myWayColorArray;
	bool testFlag;
	float velValue;
//	int modeFlag;
	IBOutlet id textSt;
//	IBOutlet id paintMode;
	int pointNumber;
	
	IBOutlet NSMutableArray* testLogWayPointNorthArray;
	IBOutlet NSMutableArray* testLogWayPointEastArray;
	
	bool startDisplayFlag;

}

@property CGPoint firstTouch;
@property CGPoint lastTouch;
@property CGPoint endTouch;
@property (nonatomic, retain) UIColor *currentColor;
//@property (nonatomic, retain) CGRect[] *rectSeq;
@property CGContextRef context;
@property (nonatomic, retain) NSMutableArray *myArray;
@property (nonatomic, retain) NSMutableArray *myColorArray;
//@property (nonatomic, retain) NSMutableArray *myWayPointArray;
//@property (nonatomic, retain) NSMutableArray *myWayColorArray;
@property bool testFlag;
@property float velValue;
@property int pointNumber;
@property (nonatomic, retain) IBOutlet id textSt;

@property (nonatomic, retain) IBOutlet NSMutableArray* testLogWayPointNorthArray;
@property (nonatomic, retain) IBOutlet NSMutableArray* testLogWayPointEastArray;

- (IBAction)barValueChangeAction:(id)sender;
//- (IBAction)modeChangeAction:(id)sender;
@property bool startDisplayFlag;

@end
