//
//  LRFView.h
//  iPhoneCommTest
//
//  Created by nsato on 09/10/20.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CoreGraphics/CoreGraphics.h>
#import <math.h>


@interface LRFView : UIView {
	CGPoint firstTouch;
	CGPoint lastTouch;
	CGPoint endTouch;
	UIColor *currentColor;
	CGContextRef context;
	IBOutlet NSString* lrfDistanceSt;
	
	NSMutableArray *wayPointArray;

}

-(IBAction)repaintbutton:(id)sender;

@property CGPoint firstTouch;
@property CGPoint lastTouch;
@property CGPoint endTouch;
@property (nonatomic, retain) UIColor *currentColor;
@property CGContextRef context;
@property (nonatomic, retain) IBOutlet NSString* lrfDistanceSt;
@property (nonatomic, retain) NSMutableArray *wayPointArray;


@end
